package cn.yw.operationcount.alarmcount.dao;

import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("ywalarmcountDao")
public class YwalarmcountDao  extends BaseSqlMapDAO{

	/**
	 *  区域设备告警统计
	 */
	public List query_Ywmalarmcount(Map map) throws SQLException{
		return this.queryForPage("query_Ywmalarmcount",map);
	}
	public Integer count_Ywmalarmcount(Map map) throws SQLException{
		return (Integer) this.queryForObject("count_Ywmalarmcount",map);
	}
	
	/**
	 *  区域告警设备列表
	 */
	public List query_alarmbyArea(Map map) throws SQLException{
		return this.queryForPage("query_alarmbyArea",map);
	}
	public Integer count_alarmbyArea(Map map) throws SQLException{
		return (Integer) this.queryForObject("count_videoalarmbyArea",map);
	}
}
